import path from 'path'
import sqlite from 'sqlite'
import Promise from 'bluebird'

const values = require(path.join(process.cwd(), 'values.json'))

const dbPromise = Promise.resolve()
  .then(() => sqlite.open(path.join(process.cwd(), values.database), { Promise, cache: true }))
  .then(db => db.migrate())

export { dbPromise }
